nexpaqAPI.setCurrentModule('DevMod');

// Actions when click button or change color  
function updateLED() {
    // Get R,G,B values
    var R = parseInt(document.getElementById('R_value').value);
    var G = parseInt(document.getElementById('G_value').value);
    var B = parseInt(document.getElementById('B_value').value);
    document.getElementById('rgbLED').style.backgroundColor = 'rgb(' + R + ',' + G + ',' + B + ')';
    window.nexpaqAPI.DevMod.send("RGB_LED", [R, G, B]);
}

function updateCloud() {
    var heart_rate_v = parseInt(window.nexpaqAPI.DevMod.last_data.heart_rate);
    var tmp_v = parseInt(window.nexpaqAPI.DevMod.last_data.tmp);
    var tmp_vf=tmp_v/256;
    var spo2_v = parseInt(window.nexpaqAPI.DevMod.last_data.spo2);
    var Resp_rate_v = parseInt(window.nexpaqAPI.DevMod.last_data.Resp_rate);
    var dig_io = parseInt(window.nexpaqAPI.DevMod.last_data.DIG_IO);
    
    var xhr = new XMLHttpRequest();
    
    var URL="http://api.nexpaq.com/dataset/sensomed.data";
    var params= "value="+' '+heart_rate_v.toFixed(2)+' '+tmp_vf.toFixed(2)+' '+spo2_v.toFixed(2)+' '+Resp_rate_v.toFixed(2);
    xhr.open("POST",URL, true);
    //Send the proper header information along with the request
    xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhr.onreadystatechange = function() {
        if (xhr.readyState == 4 && XMLHttpRequest.status==200) {
            alert(xhr.responseText);
        }
    }
   
    xhr.send(params);
    document.getElementById('Resp_rate').value = "Respiration rate" + ' ' + "rate:" + ' ' + "/min";

    }

function dataHandler() {
    var heart_rate_v = parseInt(window.nexpaqAPI.DevMod.last_data.heart_rate);
    var tmp_v = parseInt(window.nexpaqAPI.DevMod.last_data.tmp);
    var tmp_vf=tmp_v/256;
    var spo2_v = parseInt(window.nexpaqAPI.DevMod.last_data.spo2);
    var Resp_rate_v = parseInt(window.nexpaqAPI.DevMod.last_data.Resp_rate);
    var dig_io = parseInt(window.nexpaqAPI.DevMod.last_data.DIG_IO);
    
    var i=0;
    var digID= '';
    document.getElementById('heart_rate').value = "Heart" + ' ' + "rate:" + ' ' +heart_rate_v.toFixed(2) + "BPM";
//    document.getElementById('ana0p').style.backgroundColor = 'rgb(' + ain_0 + ',' + ain_0 + ',' + ain_0 + ')';
    document.getElementById('tmp').value = "Temperature:" + ' '+ tmp_vf.toFixed(2) + 'C';
//    document.getElementById('ana1p').style.backgroundColor = 'rgb(' + ain_1 + ',' + ain_1 + ',' + ain_1 + ')';
    document.getElementById('spo2').value = "SpO2:"+' '+' ' + spo2_v.toFixed(2) + '%';
//    document.getElementById('ana2p').style.backgroundColor = 'rgb(' + ain_2 + ',' + ain_2 + ',' + ain_2 + ')';
    document.getElementById('Resp_rate').value = "Respiration"+ ' '+ "rate:" +Resp_rate_v.toFixed(2) + "/min";
//    document.getElementById('ana3p').style.backgroundColor = 'rgb(' + ain_3 + ',' + ain_3 + ',' + ain_3 + ')';
    /*for (i=0; i<16; i++) {
        digID = 'dig' + i.toString(16).toUpperCase() + 'l';
        if (dig_io & 1) {
            document.getElementById(digID).className = "greenLight";
        } else {
            document.getElementById(digID).className = "greenOff";            
        }
        dig_io = dig_io >> 1;
    }*/
    
}

// when page is finished loading
document.addEventListener("DOMContentLoaded", function (e) {
    var i=0;
    //updateLED();
	// call dataHandler function whenever data is received
	window.nexpaqAPI.DevMod.addEventListener("onDataReceived", dataHandler);
});